<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://code.jquery.com/jquery-3.7.1.js" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" crossorigin="anonymous"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>

    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.7/css/dataTables.bootstrap5.min.css">

    <script src="https://cdn.datatables.net/2.0.7/js/dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/2.0.7/js/dataTables.bootstrap5.min.js"></script>
    <title>Document</title>
</head>
<body>
    <div class="container">
        <div class="col-md-12">
            <h2>Tasks</h2>
            <table id="office" class="table table-bordered"></table>
        </div>
    </div>
</body>
<script>
    var dataTable;
    $(document).ready(function () {
        initTable();
        reloadTable();
    });
    
    function initTable() {
        dataTable = $("#office").DataTable({
            columns: [
                { data: "id" },
                { data: "title" },
                { data: "description" },
                { data: "completed" },
                { data: "action" }
            ],
            columnDefs: [
                {
                    targets: 0,
                    title: 'ID'
                },
                {
                    targets: 1,
                    title: 'City'
                },
                {
                    targets: 2,
                    title: 'Phone'
                },
                {
                    targets: 3,
                    title: 'Country'
                },
                {
                    targets: 4,
                    title: 'Action',
                    defaultContent: `
                        <button class = "btn btn-success mr-2 btnChiTiet">Chi tiết</button>
                        <button class = "btn btn-success mr-2 btnSua">Sửa</button>
                        <button class = "btn btn-success mr-2 btnXoa">Xóa</button>
                    `
                }
            ]
        });
    }
    function reloadTable() {
        $.get("/tasks", function (data) {
            console.log (data);
            dataTable.clear();
            dataTable.rows.add(data);
            dataTable.draw();
        })
    }

    
    
</script>
</html>